//: C03:AddStrings.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
#include <string>
#include <cassert>
using namespace std;

int main() {
  string s1("Tohle ");
  string s2("Tamto ");
  string s3("Něco jiného ");
  // operátor + spojí řetězce
  s1 = s1 + s2;
  assert(s1 == "Tohle Tamto ");
  // janý způsob ja spojit řetězce
  s1 += s3;
  assert(s1 == "Tohle Tamto Něco jiného ");
  // na pravé straně můžete řetězec indexovat
  s1 += s3 + s3[5] + "ajajaj";
  assert(s1 == "Tohle Tamto Něco jiného Něco jiného jajajaj");
} ///:~
